package com.altimetrik.playground.candidate.assessment.repository;

import java.util.List;

import javax.transaction.Transactional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.altimetrik.playground.candidate.assessment.entity.CustomerCart;
import com.altimetrik.playground.candidate.assessment.entity.CustomerCartID;

@Repository
public interface CustomerCartRepo extends JpaRepository<CustomerCart, CustomerCartID>{

	List<CustomerCart> findByIdEmailAndCheckOutStatus(String email,char status);

	@Modifying
	@Transactional
	@Query(value="update CustomerCart set checkOutStatus=?1 where id.email=?2 and id.prodId in(?3)",nativeQuery = false)
	int updateCheckOutstatus(char status, String email, List<Integer> prodIds);
	
}
